
Redmine - Feature #1326

Add / edit an attachment description after upload

2008-05-29 19:37 - James Byrne

Status: Closed Start date: 2008-05-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Presently there is no way to add or edit an attachment's description without downloading the file, deleting the attachment and

re-attaching the file.  An option to simply edit the exiting attachment's description or provide one if absent would be most useful.

I point out that projects imported from trac have all of the attachment descriptions removed. Requiring that the files themselves be

downloaded from redmine, deleted and then uploaded again simply to add the descriptions increases the amount of conversion work

considerably.

Related issues:

Related to Redmine - Feature #8879: Update option for documents and files New 2011-07-22

Related to Redmine - Defect #9383: Allow manage attachment(s) before submit Closed 2011-10-06

Has duplicate Redmine - Feature #4413: Multiple attached files delete/edit in... Closed 2009-12-16

Has duplicate Redmine - Feature #8032: Editing of attachment descriptions Closed 2011-03-31

Has duplicate Redmine - Feature #2488: Renaming of uploaded files Closed 2009-01-10

Has duplicate Redmine - Feature #4606: Move/rename attachments in issues Closed 2010-01-19

Has duplicate Redmine - Feature #3924: Shoud be able to modify the filename a... Closed 2009-09-25

Associated revisions

Revision 1477 - 2008-05-29 21:31 - Jean-Philippe Lang

Trac importer: migrate attachments descriptions (#1326).

Revision 13665 - 2014-11-29 14:41 - Jean-Philippe Lang

Edit attachments after upload (#1326).

Revision 13667 - 2014-11-29 14:55 - Jean-Philippe Lang

Adds a more specific title for the attachments edit link (#1326).

History

#1 - 2008-05-29 21:29 - Jean-Philippe Lang

I agree, being able to edit descriptions can be usefull.

I point out that projects imported from trac have all of the attachment descriptions removed.

 Trac attachment descriptions are now migrated (r1477). Thanks for pointing out this lack.

#2 - 2008-11-11 10:36 - Jean-Philippe Lang

- Target version deleted (0.8)

#3 - 2009-03-18 14:18 - James Byrne

Is there any estimate as to when this feature might be added?

#4 - 2009-12-20 16:11 - Jean-Philippe Lang

- Category changed from Wiki to Attachments

#5 - 2011-03-31 14:36 - Etienne Massip
- Target version set to Candidate for next major release

#6 - 2011-05-05 11:23 - Giovani Spagnolo

+1

#7 - 2011-09-15 09:01 - Adam Klinkosz

+1

#8 - 2012-04-11 09:20 - Frank Helk

++1

#9 - 2012-09-19 10:46 - Rolf Bagge

+1

#10 - 2013-01-17 17:35 - Adrian Rotaru

1++

#11 - 2013-02-26 18:04 - Dani Leni

+1

This would be handy. Sometimes you need to edit description.

#12 - 2013-03-08 14:16 - Rainer Putzinger

+1

Would be simple and quite useful. Could you pleas implement this? I always have to play directly with the database do correct or post-add

descriptions.

Thanks!

#13 - 2013-07-15 07:35 - Maxime Vez

+1 the same

#14 - 2014-03-31 15:14 - Alain V.

Quite useful +1

#15 - 2014-11-14 10:42 - Dmitry Shumilin

+1

#16 - 2014-11-14 22:44 - Mischa The Evil

- Related to Feature #3151: Ability to edit file descriptions after they have been uploaded added

#17 - 2014-11-29 14:42 - Jean-Philippe Lang

- Subject changed from Provide means to add / edit an attachment description. to Add / edit an attachment description after upload

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.0.0

- Resolution set to Fixed

Feature added in r13665.

#18 - 2014-12-14 04:54 - Toshi MARUYAMA

- Related to deleted (Feature #3151: Ability to edit file descriptions after they have been uploaded)

#19 - 2015-03-08 02:26 - Go MAEDA

- Has duplicate Feature #2488: Renaming of uploaded files added

#20 - 2015-03-08 02:38 - Go MAEDA

- Has duplicate Feature #4606: Move/rename attachments in issues added
#21 - 2015-03-08 03:44 - Go MAEDA

- Related to Defect #9383: Allow manage attachment(s) before submit added

#22 - 2016-01-19 03:49 - Go MAEDA

- Has duplicate Feature #3924: Shoud be able to modify the filename and it's description and remove the file which user upload in the Wiki. added

#23 - 2020-02-06 20:49 - Manu Ros SW

Hi, sorry this is an old feature that seems to be added to redmine , but I can't figure out how to edit my uploaded attechments ... Any help appreciated

... I am using redmine 4.0.5.stable

#24 - 2020-10-08 19:07 - Martin von Wittich

Manu Ros SW wrote:

Hi, sorry this is an old feature that seems to be added to redmine , but I can't figure out how to edit my uploaded attechments ... Any help

appreciated ... I am using redmine 4.0.5.stable

 I also couldn't figure this out for the life of me - I even went so far as to look through the diff to understand how this is supposed to work. Turns out the

edit icon has been placed in an extremely confusing position. Manu Ros SW also asked in the forum, and someone was helpful enough to post a

screenshot that should clear it up: https://www.redmine.org/boards/1/topics/58827

Powered by TCPDF (www.tcpdf.org)

2025-07-16 3/3

https://www.redmine.org/boards/1/topics/58827
http://www.tcpdf.org

